version: "3"

networks:
  proxy:
    external: true

services:
  app:
    image: restic/rest-server:0.12.1
    container_name: restic-server
    environment:
      OPTIONS: "--prometheus --no-auth"
    volumes:
      - /DATA/BACKUP/backup/:/data/
    labels:
      traefik.http.routers.restic-server.entrypoints: websecure
      traefik.http.routers.restic-server.rule: Host(`backup.$SUBDOMAIN.picasoft.net`)
      traefik.http.routers.restic-server.tls.options: client-ca@file
      traefik.http.routers.restic-server.tls.certResolver: letsencrypt
      traefik.http.services.restic-server.loadbalancer.server.port: 8000
      traefik.enable: true
    networks:
      - proxy
    restart: unless-stopped
